Bug 1645877 - snapd.failure.service tries to call a nonexistent binary
Summary: snapd.failure.service tries to call a nonexistent binary
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: snapd
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-04 16:12 UTC by Zbigniew Jędrzejewski-Szmek
Modified: 2018-11-08 03:16 UTC (History)
2 users (show)

Fixed In Version: snapd-2.36-1.fc27 snapd-2.36-1.fc28 snapd-2.36-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-08 01:58:01 UTC


Attachments (Terms of Use)

Description Zbigniew Jędrzejewski-Szmek 2018-11-04 16:12:21 UTC
Description of problem:
When snapd fails to start, the failure cascades:
Nov 04 15:52:52 systemd[1]: Starting Snappy daemon...
Nov 04 15:52:52 snapd[28174]: AppArmor status: apparmor not enabled
Nov 04 15:52:52 snapd[28174]: error: cannot start snapd: cannot mount squashfs image using "squashfs": mount: /t>
Nov 04 15:52:52 systemd[1]: snapd.service: Main process exited, code=exited, status=1/FAILURE
Nov 04 15:52:52 systemd[1]: snapd.service: Failed with result 'exit-code'.
Nov 04 15:52:52 systemd[1]: Failed to start Snappy daemon.
Nov 04 15:52:52 audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t>
Nov 04 15:52:52 systemd[1]: snapd.service: Service RestartSec=100ms expired, scheduling restart.
Nov 04 15:52:52 systemd[1]: snapd.service: Scheduled restart job, restart counter is at 5.
Nov 04 15:52:52 systemd[1]: Stopped Snappy daemon.
Nov 04 15:52:52 systemd[1]: snapd.service: Start request repeated too quickly.
Nov 04 15:52:52 systemd[1]: snapd.service: Failed with result 'exit-code'.
Nov 04 15:52:52 systemd[1]: Failed to start Snappy daemon.
Nov 04 15:52:52 audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t>
Nov 04 15:52:52 audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:>
Nov 04 15:52:52 systemd[1]: snapd.socket: Failed with result 'service-start-limit-hit'.
Nov 04 15:52:52 systemd[1]: snapd.service: Triggering OnFailure= dependencies.
Nov 04 15:52:52 audit[28124]: USER_END pid=28124 uid=0 auid=1000 ses=4735 subj=unconfined_u:unconfined_r:unconfi>
Nov 04 15:52:52 sudo[28124]: pam_unix(sudo:session): session closed for user root
Nov 04 15:52:52 audit[28124]: CRED_DISP pid=28124 uid=0 auid=1000 ses=4735 subj=unconfined_u:unconfined_r:unconf>
Nov 04 15:52:52 systemd[1]: Starting Failure handling of the snapd snap...
Nov 04 15:52:52 systemd[28184]: snapd.failure.service: Failed to execute command: No such file or directory
Nov 04 15:52:52 systemd[28184]: snapd.failure.service: Failed at step EXEC spawning /usr/libexec/snapd/snap-fail>
Nov 04 15:52:52 systemd[1]: snapd.failure.service: Main process exited, code=exited, status=203/EXEC
Nov 04 15:52:52 systemd[1]: snapd.failure.service: Failed with result 'exit-code'.
Nov 04 15:52:52 systemd[1]: Failed to start Failure handling of the snapd snap.

$ systemctl cat snapd.failure
...
ExecStart=/usr/libexec/snapd/snap-failure snapd

$ ls /usr/libexec/snapd/snap-failure
ls: cannot access '/usr/libexec/snapd/snap-failure': No such file or directory

Version-Release number of selected component (if applicable):
snapd-2.35-1.fc29.x86_64

Comment 1 Neal Gompa 2018-11-04 16:58:14 UTC
Being worked on now.

Comment 2 Fedora Update System 2018-11-04 17:17:22 UTC
snapd-2.36-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-84d647b87e

Comment 3 Fedora Update System 2018-11-04 17:37:44 UTC
snapd-2.36-1.fc28 snapd-glib-1.44-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-48cc10ba1d

Comment 4 Fedora Update System 2018-11-04 17:38:32 UTC
snapd-2.36-1.fc27 snapd-glib-1.44-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-38a0753747

Comment 5 Fedora Update System 2018-11-05 02:41:17 UTC
snapd-2.36-1.fc27, snapd-glib-1.44-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-38a0753747

Comment 6 Fedora Update System 2018-11-05 03:46:03 UTC
snapd-2.36-1.fc28, snapd-glib-1.44-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-48cc10ba1d

Comment 7 Fedora Update System 2018-11-05 04:20:32 UTC
snapd-2.36-1.fc29, snapd-glib-1.44-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-84d647b87e

Comment 8 Fedora Update System 2018-11-08 01:58:01 UTC
snapd-2.36-1.fc27, snapd-glib-1.44-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-11-08 02:19:03 UTC
snapd-2.36-1.fc28, snapd-glib-1.44-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-11-08 03:16:11 UTC
snapd-2.36-1.fc29, snapd-glib-1.44-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.